@ECHO OFF
REM This script creates Cindy reports for the local computer
REM Report files will be stored in a subfolder to the script folder 
REM named by the domain and computername
REM Two reports will be created in Quick and Basic mode
REM Version 1.5 of May 11, 2015
REM Author: Nils Kaczenski, faq-o-matic.net

ECHO.
ECHO Creating local config reports for: %COMPUTERNAME%
ECHO Start time: %time%

REM simple method to get the date in ISO format
REM independently of regional settings
SET DateTempFile=%RANDOM%Temp.vbs
CD %0\..
ECHO dtmNow = Now()>%DateTempFile%
ECHO strDate = Year(dtmNow) ^& Right("0" ^& Month(dtmNow),2) ^& Right("0" ^& Day(dtmNow), 2)>>%DateTempFile%
ECHO WScript.Echo strDate>>%DateTempFile%
FOR /F " usebackq delims==" %%a IN (`@CSCRIPT //NOLOGO %DateTempFile%`) DO (
	SET MyDate=%%a
)
DEL %DateTempFile%

REM Create the destination folder
REM and two report files: Quick and Basic mode
CD %0\..
SET folder=%userdomain%-%computername%
IF NOT EXIST %folder% MD %folder%
ECHO %COMPUTERNAME% Quick report
CSCRIPT //nologo cindy.vbs>%folder%\%userdomain%-%computername%-%MyDate%.txt
ECHO %COMPUTERNAME% Basic report
CSCRIPT //nologo cindy.vbs /mode:basic>%folder%\%userdomain%-%computername%-%MyDate%-Basic.txt
ECHO %COMPUTERNAME% Finished
ECHO End time: %time%
